Bug 747449 - Missing dependency on PackageKit-gtk3-module
Missing dependency on PackageKit-gtk3-module
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
16
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 643129 699279 734665 739180 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 16:18 EDT by Robert Smol
Modified: 2012-07-07 15:33 EDT (History)
29 users (show)

See Also:
Fixed In Version: PackageKit-0.7.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-07 15:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Smol 2011-10-19 16:18:59 EDT
Description of problem:
Many applications (in my example gitg) shows error on console:
Gtk-Message: Failed to load module "pk-gtk-module"

Version-Release number of selected component (if applicable):


How reproducible:
Start almost any application from terminal.

Steps to Reproduce:
1. in terminal type gnome-terminal
2.
3.
  
Actual results:
Error message.

Expected results:
No error message

Additional info:
Comment 1 Flóki Pálsson 2011-10-23 14:15:57 EDT
yum install PackageKit-gtk3-module 
 helps
Comment 2 Matthias Clasen 2011-11-10 12:18:51 EST
The error message is annoying, but entirely harmless.
Comment 3 Michael Cronenworth 2011-11-10 13:28:39 EST
This was fixed for the gtk2 plugin long ago[1], but now we have gtk3. It should be fixed for that, too.


[1] Bug 476066
Comment 4 Michael Cronenworth 2011-11-10 13:29:24 EST
*** Bug 734665 has been marked as a duplicate of this bug. ***
Comment 5 Michael Cronenworth 2011-11-10 13:29:53 EST
*** Bug 643129 has been marked as a duplicate of this bug. ***
Comment 6 Michael Cronenworth 2011-11-10 13:30:34 EST
*** Bug 699279 has been marked as a duplicate of this bug. ***
Comment 7 Michael Cronenworth 2011-11-10 13:30:47 EST
*** Bug 739180 has been marked as a duplicate of this bug. ***
Comment 8 Jerry James 2012-01-25 12:12:14 EST
Current Rawhide, x86_64, PackageKit-gtk3-module is installed, and I see this:

[root@jerry-rawhide64 ~]# abrt-gui
Gtk-Message: Failed to load module "pk-gtk-module"

Doing an strace shows that it looked in /usr/lib64/gtk-2.0/modules, but NOT in /usr/lib64/gtk-3.0/modules.  Is this because abrt-gui is a GTK 2.0 app, and PackageKit-gtk-module no longer exists?
Comment 9 ballinger500 2012-03-09 12:29:06 EST
fedora 17
starting google-chrome needs a few try's to work

google-chrome 
Gtk-Message: Failed to load module "pk-gtk-module"
Segmentation fault (core dumped)
[phil@mobile ~]$ google-chrome 
Gtk-Message: Failed to load module "pk-gtk-module"


PackageKit-gtk3-module-0.7.3-1.fc17.x86_64 is installed
Comment 10 Fernando Cassia 2012-04-12 07:10:07 EDT
Fedora 17 Beta RC3 here
 3.3.1-3.fc17.i686 #1 SMP Wed Apr 4 19:15:37 UTC 2012 i686 i686 i386 GNU/Linux

Starting the SeaMonkey browser suite 1.8
(seamonkey-2.8-3.fc17.i686)
I get:
Gtk-Message: Failed to load module "pk-gtk-module"

Package PackageKit-gtk3-module-0.7.3-1.fc17.i686 already installed and latest version
Comment 11 Michael Cronenworth 2012-04-12 09:27:22 EDT
To the previous 3 comments: You're missing PackageKit-gtk-module. You can follow bug 476066 instead of this one.

It was broken by this commit:
http://pkgs.fedoraproject.org/gitweb/?p=gnome-packagekit.git;a=commit;h=8d23f39012f144fec7de0b3ef9daf6da73312f3a
Comment 12 Need Real Name 2012-06-03 02:07:28 EDT
same thing in F17
#emacs
Gtk-Message: Failed to load module "pk-gtk-module"

#gnuplot
gnuplot> plot sin(x)/x 
Gtk-Message: Failed to load module "pk-gtk-module"
Comment 13 Simon Baird 2012-06-03 20:38:30 EDT
Updated to F17 (from F16). Now getting this message when running gvim. Gvim does start up okay though.
Comment 14 Jon 2012-06-04 15:13:39 EDT
Getting similar results on new F17 install which prevents libreoffice apps from starting, so agreed this is not a harmless message as it is preventing apps from starting. 

# yum install libreoffice
..
..

# libreoffice 
Gtk-Message: Failed to load module "pk-gtk-module"

# locate pk-gtk-module
/usr/lib64/gnome-settings-daemon-3.0/gtk-modules/pk-gtk-module.desktop
/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so

# yum install PackageKit-gtk3-module
Loaded plugins: langpacks, presto, refresh-packagekit
Package PackageKit-gtk3-module-0.7.4-4.fc17.x86_64 already installed and latest version

Workaround from 476066 did not work either

# wget http://dl.fedoraproject.org/pub/fedora/linux/releases/16/Fedora/x86_64/os/Packages/PackageKit-gtk-module-0.6.19-3.fc16.x86_64.rpm

# rpm2cpio PackageKit-gtk-module-0.6.19-3.fc16.x86_64.rpm |cpio -idmv
./usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
30 blocks

# mv usr/lib64/gtk-2.0/modules/libpk-gtk-module.so /usr/lib64/gtk-2.0/modules/


# libreoffice &
[1] 7064
# ps 7064
  PID TTY      STAT   TIME COMMAND
[1]+  Exit 139                libreoffice
# ps 7064
  PID TTY      STAT   TIME COMMAND
Comment 15 Michael Cronenworth 2012-06-04 15:26:35 EDT
@Jon and anyone else thinking of commenting on this bug:

The message you see is printed when GTK2 attempts to load all known modules. The PackageKit-gtk3-module package defines a .desktop file to load "pk-gtk-module". Unfortunately the GTK2 module has been removed from upstream so the module no longer exists in F17+. When GTK2 cannot find this module it prints the warning message you see. The message is printed and then normal GTK2 runtime continues. This does not cause programs to crash or not start. Whatever issue you have with libreoffice is not related to this bug.
Comment 16 benoît barthés 2012-06-07 09:25:18 EDT
$ gtg

** (process:8591): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:8591): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:8591): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
/usr/lib/python2.7/site-packages/GTG/taskeditor/editor.py:71: Warning: cannot register existing type `GdkDisplayManager'
  self.builder.add_from_file(GnomeConfig.GLADE_FILE)
/usr/lib/python2.7/site-packages/GTG/taskeditor/editor.py:71: Warning: g_once_init_leave: assertion `result != 0' failed
  self.builder.add_from_file(GnomeConfig.GLADE_FILE)
/usr/lib/python2.7/site-packages/GTG/taskeditor/editor.py:71: Warning: g_type_register_static: assertion `parent_type > 0' failed
  self.builder.add_from_file(GnomeConfig.GLADE_FILE)
/usr/lib/python2.7/site-packages/GTG/taskeditor/editor.py:71: Warning: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
  self.builder.add_from_file(GnomeConfig.GLADE_FILE)
Erreur de segmentation
Comment 17 MrBrownwait 2012-06-14 03:44:11 EDT
@Michael Cronenworth: Some kind of strange is that nearly every program which is unable to start shows this kind of error or warning or whatever in shell. Evolution, all kind of LibreOffice tools, vlc, gimp. Pick what ever you want.

I got this problem on a fresh installation of F17 x86_64.
Comment 18 Richard Hughes 2012-06-14 04:35:27 EDT
(In reply to comment #15)
> This does not cause programs to crash or
> not start. Whatever issue you have with libreoffice is not related to this
> bug.

100% agreed.

(In reply to comment #16)
> $ gtg
> g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
>   self.builder.add_from_file(GnomeConfig.GLADE_FILE)
> Erreur de segmentation

This is nothing to do with PackageKit either btw.

I've added this upstream in PackageKit:

commit 7e740e9c4c917ca717ce42295d071d57cbc97b30
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 12 10:27:26 2012 +0100

    Add a dummy GTK+2 module to avoid a warning when starting GTK+2 applications

:100644 100644 34557e3... b4bac56... M  contrib/gtk-module/Makefile.am
:000000 100644 0000000... 179d855... A  contrib/gtk-module/gtk2/Makefile.am
:000000 100644 0000000... b13b496... A  contrib/gtk-module/gtk2/pk-gtk-module-gtk2.c

If it works for the 0.8.1 release I'll backport it back into the 0.7.x series.

Richard.
Comment 19 Michael Cronenworth 2012-06-22 15:05:56 EDT
(In reply to comment #18)
> If it works for the 0.8.1 release I'll backport it back into the 0.7.x
> series.

I see the change here:
http://gitorious.org/packagekit/packagekit/commit/7e740e9c4c917ca717ce42295d071d57cbc97b30

Could you stick this commit in as a patch for F17 and put it in updates-testing? I can put an email out to the test list to see that it gets QA love.
Comment 20 Michael Cronenworth 2012-06-28 14:03:37 EDT
Thanks, Richard. The F17 update works great.

Note You need to log in before you can comment on or make changes to this bug.